summaryrefslogtreecommitdiff
path: root/dev-python/colour
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-21 06:19:36 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-21 06:19:36 +0000
commiteed3533351c8dc742ba4d3e056073bb9f7ca3cbf (patch)
tree95c8e1f3686615edbe546be0b1886c5338c676be /dev-python/colour
parentcdc9739323d397961dc6ade9872c7b5e8c36d7fd (diff)
downloadbaldeagleos-repo-eed3533351c8dc742ba4d3e056073bb9f7ca3cbf.tar.gz
baldeagleos-repo-eed3533351c8dc742ba4d3e056073bb9f7ca3cbf.tar.xz
baldeagleos-repo-eed3533351c8dc742ba4d3e056073bb9f7ca3cbf.zip
Adding metadata
Diffstat (limited to 'dev-python/colour')
-rw-r--r--dev-python/colour/colour-0.1.5.ebuild26
-rw-r--r--dev-python/colour/files/colour-setup.patch8
-rw-r--r--dev-python/colour/metadata.xml29
3 files changed, 42 insertions, 21 deletions
diff --git a/dev-python/colour/colour-0.1.5.ebuild b/dev-python/colour/colour-0.1.5.ebuild
index d7934124f35e..5d360c2f8f47 100644
--- a/dev-python/colour/colour-0.1.5.ebuild
+++ b/dev-python/colour/colour-0.1.5.ebuild
@@ -1,20 +1,24 @@
-# Copyright 2021 Liguros Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-DISTUTILS_USE_SETUPTOOLS=bdepend
-inherit distutils-r1
+inherit distutils-r1 pypi
-DESCRIPTION="Python color representations manipulation library (RGB, HSL, web, ...)"
-HOMEPAGE="https://github.com/vaab/colour"
-SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+DESCRIPTION="Python color representations manipulation library"
+HOMEPAGE="https://github.com/vaab/colour/"
+KEYWORDS="amd64 ~x86"
-LICENSE="MIT"
+LICENSE="GPL-3+"
SLOT="0"
-KEYWORDS="~amd64"
-distutils_enable_tests nose
+PATCHES=( "${FILESDIR}"/${PN}-setup.patch )
+
+src_prepare() {
+ rm setup.cfg || die
-DEPEND="dev-python/d2to1[${PYTHON_USEDEP}]"
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/colour/files/colour-setup.patch b/dev-python/colour/files/colour-setup.patch
new file mode 100644
index 000000000000..833a045fbf82
--- /dev/null
+++ b/dev-python/colour/files/colour-setup.patch
@@ -0,0 +1,8 @@
+--- a/setup.py
++++ b/setup.py
+@@ -60,5 +60,4 @@ if "0.1.5".startswith("%%"):
+
+ setup(
+ extras_require={'test': ['nose', ]},
+- d2to1=True
+ )
diff --git a/dev-python/colour/metadata.xml b/dev-python/colour/metadata.xml
index ca26a67b962d..6f1a00ce94bc 100644
--- a/dev-python/colour/metadata.xml
+++ b/dev-python/colour/metadata.xml
@@ -1,16 +1,25 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>dev@liguros.net</email>
- <name>Development</name>
- </maintainer>
<maintainer type="person">
- <email>fedeliallalinea@gmail.com</email>
- <name>Marco Genasci</name>
+ <email>xgqt@gentoo.org</email>
+ <name>Maciej Barć</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/vaab/colour/issues</bugs-to>
- </upstream>
- <origin>ports</origin>
+ <longdescription>
+ Converts and manipulates common color representation (RGB, HSL, web, ...).
+ Full conversion between RGB, HSL, 6-digit hex, 3-digit hex, human color.
+ One object (Color) or bunch of single purpose function (rgb2hex, hsl2rgb
+ ...). Web format that use the smallest representation between 6-digit (e.g.
+ #fa3b2c), 3-digit (e.g. #fbb), fully spelled color (e.g. white), following
+ W3C color naming for compatible CSS or HTML color specifications. Smooth
+ intuitive color scale generation choosing N color gradients. Can pick
+ colors for you to identify objects of your application.
+ </longdescription>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
</pkgmetadata> \ No newline at end of file